Create Savings Goal

Create a savings goal for the given account id.

Of the fields target_amount, target_date and recurrent_amount, only two are required. If two are supplied then the third parameter will be calculated in the response.

For example: If the date the goal is created is 2023-01-01, if a savings goal is created with the target_amount of £110, and the target_date is 2023-12-01, then the recurrent amount will be £10.

When performing this calculation, it is asusmed that a customer is not going to deposit their first savings payment within the month of creating the goal. If this is the desired behaviour however, all three parameters can be supplied and the endpoint will accept this.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The name of the savings goal.

Example: Holiday

string
required

The account id of the account the savings goal is associated with.

Example: RxsYshVGded4JeilkXgWKdXA

target_amount
object

The target amount of money to be saved to defining the savings goal.

This field is optional, however if it is not supplied, then target_date and recurrent_amount must be supplied.

If target_amount, target_date and recurrent_amount are all supplied, they will be validated to ensure the goal is achievable under these conditions.

string

The target date, in the format ISO-8601 to reach the savings goal.

This field is optional, however if it is not supplied, then target_amount and recurrent_amount must be supplied.

If target_amount, target_date and recurrent_amount are all supplied, they will be validated to ensure the goal is achievable under these conditions.

Example: 2023-01-17

recurrent_amount
object

The amount of money to be saved each month to reach the savings goal.

This field is optional, however if it is not supplied, then target_amount and target_date must be supplied.

If target_amount, target_date and recurrent_amount are all supplied, they will be validated to ensure the goal is achievable under these conditions.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

Bud Customer identifier

string

The Bud Customer secret used to encrypt customer data. This is optional only if the customer secret is already stored with Bud (i.e. the host_secret was set to true in the Customer Context when the customer was created).

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json